/******************************************************************************
UTPlus
Copyright (c) 2005-2006 by Wormbo

This program is free software; you can redistribute and/or modify 
it under the terms of the Open Unreal Mod License version 1.1.
http://wiki.beyondunreal.com/wiki/OpenUnrealModLicense


UTPlus controller class for in-game round detection and path-related operations during demo playback.
******************************************************************************/


class UTP_DemoMessage extends LocalMessage;


//=============================================================================
// Localization
//=============================================================================

var localized string StartedServerDemoRecording;
var localized string StoppedServerDemoRecording;


//== static GetString =========================================================
/**
Returns the message string.
*/
//=============================================================================

static function string GetString(optional int Switch, optional PlayerReplicationInfo RelatedPRI_1, optional PlayerReplicationInfo RelatedPRI_2, optional Object OptionalObject)
{
  switch (Switch) {
    case 0: return default.StoppedServerDemoRecording;
    case 1: return default.StartedServerDemoRecording;
  }
}


//=============================================================================
// Default properties
//=============================================================================

defaultproperties
{
  bIsSpecial        = False
  bIsConsoleMessage = True
  
  StartedServerDemoRecording = "Automatically recording server-side demo..."
  StoppedServerDemoRecording = "Automatic server-side demo recording stopped."
}