/******************************************************************************
UTPlus
Copyright (c) 2005-2006 by Wormbo

This program is free software; you can redistribute and/or modify 
it under the terms of the Open Unreal Mod License version 1.1.
http://wiki.beyondunreal.com/wiki/OpenUnrealModLicense


Map-specific clientside settings for UTPlus.
******************************************************************************/


class UTP_MiniShieldPack extends ShieldPickup;


//== static StaticPrecache ====================================================
/**
Precache the shield mesh.
*/
//=============================================================================

static function StaticPrecache(LevelInfo L)
{
  L.AddPrecacheStaticMesh(StaticMesh'E_Pickups.RegShield');
}


//=============================================================================
// Default configuration
//=============================================================================

defaultproperties
{
  ShieldAmount=5
  PickupSound=Sound'UTPlusSounds.MiniShieldPickup'
  TransientSoundVolume=0.5
  PickupForce="ShieldPack"
  DrawType=DT_StaticMesh
  StaticMesh=StaticMesh'E_Pickups.General.RegShield'
  DrawScale=0.400000
  Physics=PHYS_Rotating
  ScaleGlow=0.600000
  Style=STY_AlphaZ
  CollisionRadius=32.000000
  RotationRate=(Yaw=24000)
}