/******************************************************************************
UTPlus
Copyright (c) 2005-2006 by Wormbo

This program is free software; you can redistribute and/or modify 
it under the terms of the Open Unreal Mod License version 1.1.
http://wiki.beyondunreal.com/wiki/OpenUnrealModLicense


UTPlus Security actor base class. Does nothing but nullifying the Security class functions.
******************************************************************************/


class UTP_Security extends Security
    hidecategories(Display,Advanced,Sound,Events,Object,None);


//=============================================================================
// unused Security class members
//=============================================================================

/** @ignore */
function Perform(int SecType, string Param1, string Param2, float TimeOut);
/** @ignore */
function ClientPerform(int SecType, string Param1, string Param2);
/** @ignore */
function NativePerform(int SecType, string Param1, string Param2);
/** @ignore */
function ServerCallback(int SecType, string Data);
/** @ignore */
function BadClient(int Code, string data);
/** @ignore */
function ClientMessage(string s);

/** @ignore */
state Probation
{
	/** @ignore */
  function Timer();
}


//=============================================================================
// Default properties
//=============================================================================

defaultproperties
{
  RemoteRole=ROLE_SimulatedProxy
  bOnlyRelevantToOwner=True
}