/******************************************************************************
UTPlus
Copyright (c) 2005-2006 by Wormbo

This program is free software; you can redistribute and/or modify 
it under the terms of the Open Unreal Mod License version 1.1.
http://wiki.beyondunreal.com/wiki/OpenUnrealModLicense


Data object for storing player IDs in a package.
******************************************************************************/


class UTP_PlayerIDsExport extends Object;


//=============================================================================
// Structs
//=============================================================================

struct TPlayerListItem {
  var int        iID;     // index of GUIDList
  var int        IP;      // player IP
  var array<int> iNames;  // indices of NameList
};


//=============================================================================
// Variables
//=============================================================================

var editconst editconstarray array<TPlayerListItem> PlayerList;
var editconst editconstarray array<GUID>            GUIDList;
var editconst editconstarray array<string>          NameList;

