/******************************************************************************
UTPlus
Copyright (c) 2005-2006 by Wormbo

This program is free software; you can redistribute and/or modify 
it under the terms of the Open Unreal Mod License version 1.1.
http://wiki.beyondunreal.com/wiki/OpenUnrealModLicense


Stores the path network for the demo playback chase cam.
******************************************************************************/


class UTP_MapPathNetwork extends Object;


//=============================================================================
// Structs
//=============================================================================

struct TNodeData {
  var() vector                    Location;
  var() array<float>              DistanceTo;
  var() array<int>                BestPathFrom;
};


//=============================================================================
// Variables
//=============================================================================

var() editconst editconstarray array<TNodeData> Node;
var() editconst int i, j, k;  // current status of shortest paths calculation
var() editconst bool bComplete;
var() editconst float MaxDistance;


//=============================================================================
// Default properties
//=============================================================================

defaultproperties
{
}
